/* sole.h: Sets Of Linear Equations */

#ifndef _SOLE_H_
#define _SOLE_H_

#include "basis.h"
extern double SolveSystem(double c[BASISMAXSIZE][BASISMAXSIZE*2], int N, int M);

extern double InvertMatrix(double in[BASISMAXSIZE][BASISMAXSIZE], 
			   double out[BASISMAXSIZE][BASISMAXSIZE], int n);

#endif /*_SOLE_H_*/
